service system/dmesg {
	# needs actually writable /var
	need = system/modules system/mountfs

	start {
		# Set the path
		export PATH=/bin:/sbin:/usr/bin:/usr/sbin

		# Now that we have all of our basic modules loaded and the kernel going,
		# let's dump the syslog ring somewhere so we can find it later
		dmesg -s 131072 > /var/log/dmesg
		i=5
		while [ $i -ge 0 ]; do
				if [ -f /var/log/dmesg.$i ]; then
					chmod 0600 /var/log/dmesg.$i
					mv -f /var/log/dmesg.$i /var/log/dmesg.$(($i+1))
				fi
				i=$(($i-1))
		done
		cp -f /var/log/dmesg /var/log/dmesg.0
		chmod 0600 /var/log/dmesg /var/log/dmesg.0
	}
}

# vim:ai
